package net.sf.jftp.net;

import net.sf.jftp.util.*;
import net.sf.jftp.config.*;

import java.io.*;
import java.util.*;

public abstract class Transfer
{
 public boolean work = true;
 public boolean pause = false;

 public static final String PAUSED = "STOPPED";
 public static final String QUEUED = "QUEUED";
 public static final String REMOVED = "REMOVED";

 public static final String UPLOAD = "UPLOAD";
 public static final String DOWNLOAD = "DOWNLOAD";

 public abstract void prepare();

 public abstract int getStatus();

 public abstract boolean hasStarted();

 public abstract FtpConnection getFtpConnection();

 public abstract DataConnection getDataConnection();

}
